import request from '@/utils/request';
//查询所有专项文档管理项目管理
export function projectList() {
    return request({
        url: '/specialDocument/project/list',
        method: 'post',
    });
}
//获取变电站树形结构
export function getNodesTree(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/getNodesTree',
        method: 'post',
        params:queryParams
    });
}
//增加专项文档节点
export function addNodes(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/addNodes',
        method: 'post',
        data:queryParams
    });
}
// /修改专项文档节点
export function updateNodes(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/updateNodes',
        method: 'post',
        data:queryParams
    });
}
//删根据ID删除专项文档管理项目管理
export function deleteNodesById(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/deleteNodesById',
        method: 'post',
        params:queryParams
    });
}
//获取表格内容
export function getFilesPage(queryParams:any) {
    return request({
        url: '/specialDocument/sd_files/page',
        method: 'get',
        params:queryParams
    });
}
//新增专项文档管理文档内容
export function addFiles(queryParams:any) {
    return request({
        url: '/specialDocument/sd_files/addFiles',
        method: 'post',
        data:queryParams
    });
}
//修改专项文档管理文档内容
export function updateFiles(queryParams:any) {
    return request({
        url: '/specialDocument/sd_files/updateFiles',
        method: 'post',
        data:queryParams
    });
}
//根据ID删除专项文档管理文档内容
export function deleteFilesById(queryParams:any) {
    return request({
        url: '/specialDocument/sd_files/deleteFilesById',
        method: 'post',
        params:queryParams
    });
}
//批量删除专项文档管理文档内容
export function deleteFilesByIds(queryParams:any) {
    return request({
        url: '/specialDocument/sd_files/deleteFilesByIds',
        method: 'post',
        params:queryParams
    });
}
//专项文档管理扫描接口通过所属项目ID
export function specialScanById(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/specialScanById',
        method: 'post',
        params:queryParams
    });
}
//专项文档管理文档上传接口通过所属项目ID
export function documentUploadById(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/documentUploadById',
        method: 'post',
        params:queryParams
    });
}
//获取异步信息
export function obtainInformationAsync(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/obtainInformationAsync',
        method: 'post',
        params:queryParams
    });
}
////判断节点
export function selectNodesByProjectId(queryParams:any) {
    return request({
        url: '/specialDocument/sd_nodes/selectNodesByProjectId',
        method: 'post',
        params:queryParams
    });
}